Subject: Re: [PATCH v2] fail dentry revalidation after namespace change

From: Glauber Costa <[email-masked]>
Date: Fri, 6 Jul 2012 13:44:27 +0400

On 07/06/2012 01:37 PM, Eric W. Biederman wrote:
> Glauber Costa <[email-masked]> writes:
> 
>> When we change the namespace tag of a sysfs entry, the associated dentry
>> is still kept around. readdir() will work correctly and not display the
>> old entries, but open() will still succeed, so will reads and writes.
> 
> Note reads and writes of file handles open before the move should
> continue to work.

Well, yes. But do you see it as a big problem?

This can probably be fixed as well, but I foresee a big hackishness in
the way =p